En cada versión, Blackboard dedica tiempo y recursos a ejecutar Blackboard Learn en los sistemas operativos, las bases de datos y los navegadores web disponibles más recientes, con el objetivo de crear un sistema que sea más estable, más fácil de usar y que se pueda administrar mejor.

En esta sección, se describen los principales cambios en las tecnologías compatibles y en los navegadores web para esta versión. Si desea consultar la información más actualizada, consulte Blackboard Learn versión 9.1 del cuarto trimestre de 2015 Tecnologías y exploradores compatibles y Usuarios finales de tecnologías compatibles en Behind the Blackboard.

Para definir con mayor claridad las declaraciones de asistencia en relación con tecnologías de clientes de terceros, Blackboard ya no clasifica la compatibilidad de las tecnologías con los términos "admitida" o "certificada". Estas tecnologías pueden ser compatibles o no. Se intenta que las tecnologías con o sin asistencia se alineen en la medida de lo posible con las directivas de asistencia de proveedores de terceros.

  • Compatible: compatible con el proveedor y con Blackboard.
  • No compatible: no compatible con el proveedor o con Blackboard.

Configuraciones de servidor de 64 bits

Sistemas operativos y bases de datos compatibles
 Servidor de aplicaciones/JDK 1.7SQL Server 2012 Enterprise y StandardOracle 12cOracle 11gR2
Windows Server 2012 R1/R2CompatibleCompatibleNo compatibleNo compatible
Red Hat Enterprise Linux Server 5CompatibleNo compatibleCompatibleCompatible
Red Hat Enterprise Linux Server 6CompatibleNo compatibleCompatibleCompatible
Sun Solaris 10CompatibleNo compatibleCompatibleCompatible
Sun Solaris 11CompatibleNo compatibleCompatibleCompatible

Notas sobre configuración

  • La opción Oracle Advanced Security no es compatible en este momento.
  • Solo son compatibles SQL Server 2012 y ediciones Standard o Enterprise.

Sistemas operativos y bases de datos en idiomas distintos del inglés

Los sistemas operativos y las bases de datos en idiomas distintos del inglés, como la versión en chino de Oracle, son compatibles con Blackboard Learn.

Configuraciones de bases de datos de alta disponibilidad

Blackboard considera muy recomendable que, para facilitar la administración del sistema, Blackboard Learn se instale en una única instancia de base de datos. Oracle RAC y Microsoft SQL Server AlwaysOn tienen configuraciones de alta disponibilidad de sus proveedores respectivos. Si por razones de política institucional debe ejecutar Blackboard Learn en una configuración de base de datos RAC o de AlwaysOn, puede hacerlo, pero Blackboard solo será compatible con la instalación en la capa JDBC de Learn a base de datos, no en la capa de base de datos. Los problemas que surjan en la capa de JDBC se aceptarán como incidentes de compatibilidad, y se escalarán y se resolverán según los procedimientos estándares de servicio de asistencia al producto. Los demás problemas que surjan en la base de datos deberán consultarse con el proveedor de la base de datos. Si no puede resolver problemas de la base de datos en la capa de base de datos en esas configuraciones, el servicio de asistencia al producto le recomendará cambiar a una configuración de base de datos de única instancia para obtener asistencia continua.

Blackboard ofrece asistencia para RAC con todas las versiones de Oracle compatibles con Blackboard.

Configuraciones híbridas

Las configuraciones híbridas de Red Hat/Solaris no se han probado y no se admiten.

Configuración de TLS

Blackboard Learn ahora solo se ejecuta a través de TLS.

Plataforma de Java (compatibilidad con el JDK de Java SE)

JDK 1.7 es compatible. El resto de versiones no son compatibles.

Virtualización

VMware® ESX Server 5  (Linux® y Windows®) es la única configuración certificada por Blackboard para la versión 9.1.

Blackboard admite otras soluciones de virtualización, siempre que Blackboard y el hipervisor sean compatibles con el sistema operativo invitado.

Además de VMware, Blackboard también tiene experiencia con Citrix XenServer 5.5, Solaris 10 Zones y Red Hat® Enterprise Linux® 4 y 5 Xen.